Bug 475303 - KPackageKit sometimes forgets setting not to auto-install security updates
KPackageKit sometimes forgets setting not to auto-install security updates
Status: CLOSED DUPLICATE of bug 469375
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
9
All Linux
high Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-08 15:29 EST by Kevin Kofler
Modified: 2009-10-27 08:30 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-17 10:01:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2008-12-08 15:29:51 EST
Description of problem:
Sometimes, seemingly at random, KPackageKit suddenly resets its "Install updates automatically" setting from "None" to "Security only". This is really bad.

Version-Release number of selected component (if applicable):
kpackagekit-0.3.1-5.fc9.i386
Also seen on F10.

How reproducible:
No idea, happens seemingly at random.

Steps to Reproduce:
See above.
  
Actual results:
The setting suddenly changes to "Security only", and with the next update set, KPackageKit starts installing security updates without asking.

Expected results:
The setting stays at "None", which is also the default setting from kde-settings.
Comment 1 Fedora Update System 2008-12-08 20:10:42 EST
kpackagekit-0.3.1-8.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kpackagekit-0.3.1-8.fc10
Comment 2 Fedora Update System 2008-12-09 23:35:05 EST
PackageKit-0.3.12-1.fc10, gnome-packagekit-0.3.12-1.fc10, kpackagekit-0.3.1-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Kevin Kofler 2008-12-18 22:19:00 EST
This still happens with both kpackagekit-0.3.1-6.fc9.i386 and kpackagekit-0.3.1-9.fc10.x86_64!
Comment 4 Kevin Kofler 2009-01-08 21:50:59 EST
Still not fixed.
Moreover, when it does this, sometimes (always?), it also installs updates which are NOT security updates.
Comment 5 Steven M. Parrish 2009-01-09 00:03:06 EST
Based on comments from RHughes this is not a kpackagekit issue but a packagekit one.  He has got a fix for it and a new packagekit today that contains the fix.  Will be sometime next week before it makes it into the repos.
Comment 6 Kevin Kofler 2009-01-09 00:10:38 EST
But the option which is displayed in the KPackageKit UI also changes! How can PackageKit be causing this?
Comment 7 Steven M. Parrish 2009-02-06 10:25:38 EST
Still waiting on upstream to advise.  Patch we used locally should have fixed this issue.  I am still unable to reproduce on any of my boxes.
Comment 8 Kevin Kofler 2009-02-06 10:30:01 EST
It's still happening on both of mine and I'm unable to figure out why.
One suspicion I have is that it's because the "Security only" entry is the first in the combobox - I guess there's some issue with the settings not always getting loaded and thus the default value of the combobox being used.
Comment 9 Kevin Kofler 2009-03-17 10:01:34 EDT
I haven't seen this happening, nor read any complaint about it, since the KDE 4.2 updates. I suspect this was due to some KConfig bug which got fixed in 4.2.

If anybody can still reproduce this, we can reopen it.
Comment 10 German Pacenza 2009-09-10 18:50:16 EDT
Same bug here. Fedora 11 kpackagekit 0.4.2-0
Comment 11 RJ 2009-09-24 09:02:24 EDT
+1 for Comment #10

KPackageKit forgets "Automatic install" and "Check for updates" options.

Please fix this issue, because sometimes I have to wait it's "hourly update checking"

Thank you.
Comment 12 rick 2009-10-27 05:27:36 EDT
Same problem here. F11,

[rick@localhost ~]$ kpackagekit --version
Qt: 4.5.2
KDE: 4.3.1 (KDE 4.3.1)
KPackageKit: 0.4.2
Comment 13 Mathias Védrines 2009-10-27 08:22:42 EDT
I experience the same annoying issue. 

[mathias@echoes ~]$ packagekit-bugreport.sh
Distro version:       Fedora release 11 (Leonidas)
PackageKit version:   0.4.9

Same Qt, KDE, KPackageKit versions as Rick in Comment #12. 

Why “CLOSED WORKSFORME” ? It seems like we are several people to face to the same problem. 
Thanks in advance for fixing this bug.
Comment 14 Rex Dieter 2009-10-27 08:30:28 EDT
We're tracking this in bug #469375 , marking as dup

*** This bug has been marked as a duplicate of bug 469375 ***

Note You need to log in before you can comment on or make changes to this bug.